package cn.palmte.work.model;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 项目决算收入表
 */
@Entity
@Table(name = "project_budget_income")
public class ProjectFinalIncome {
    public static final int TYPE_DEVICE = 1;
    public static final int TYPE_ENGINEER = 2;
    public static final int TYPE_SERVICE = 3;

    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
    private Integer id;

    @Column(name = "project_id")
    private int projectId;

    private int type;

    /**
     * 概算总额（不含税）
     */
    @Column(name = "estimate_total_income")
    private BigDecimal estimateTotalIncome;

    /**
     * 预算总额（不含税）
     */
    @Column(name = "budget_total_income")
    private BigDecimal budgetTotalIncome;

    /**
     * 结算总额（不含税）
     */
    @Column(name = "settle_total_income")
    private BigDecimal settleTotalIncome;

    /**
     * 决算总额（不含税）
     */
    @Column(name = "final_total_income")
    private BigDecimal finalTotalIncome;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getProjectId() {
        return projectId;
    }

    public void setProjectId(int projectId) {
        this.projectId = projectId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public BigDecimal getEstimateTotalIncome() {
        return estimateTotalIncome;
    }

    public void setEstimateTotalIncome(BigDecimal estimateTotalIncome) {
        this.estimateTotalIncome = estimateTotalIncome;
    }

    public BigDecimal getBudgetTotalIncome() {
        return budgetTotalIncome;
    }

    public void setBudgetTotalIncome(BigDecimal budgetTotalIncome) {
        this.budgetTotalIncome = budgetTotalIncome;
    }

    public BigDecimal getSettleTotalIncome() {
        return settleTotalIncome;
    }

    public void setSettleTotalIncome(BigDecimal settleTotalIncome) {
        this.settleTotalIncome = settleTotalIncome;
    }

    public BigDecimal getFinalTotalIncome() {
        return finalTotalIncome;
    }

    public void setFinalTotalIncome(BigDecimal finalTotalIncome) {
        this.finalTotalIncome = finalTotalIncome;
    }
}