package cn.palmte.work.service;


import com.alibaba.fastjson.JSONObject;
import org.activiti.engine.delegate.DelegateTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.Set;


/**
 * 流程节点监听
 */
@Service
public class ActListenerService {
    private static final Logger logger = LoggerFactory.getLogger(ActListenerService.class);


    @Autowired
    private ActTaskDefService actTaskDefService;

    /**
     * 节点创建监听 动态设置审批人
     *
     * @param delegateTask
     * @throws Exception
     */
    public void create(DelegateTask delegateTask) throws Exception {
        logger.info("--- {}", JSONObject.toJSONString(delegateTask));

        String procDefId = delegateTask.getProcessDefinitionId();
        String procInsId = delegateTask.getProcessInstanceId();
        String taskDefKey = delegateTask.getTaskDefinitionKey();
        Set<String> candidateUsers = actTaskDefService.findCandidateUsers(procDefId, procInsId, taskDefKey);
        logger.info("addCandidateUsers : {}", candidateUsers);
        delegateTask.addCandidateUsers(candidateUsers);
    }


}
