package cn.palmte.work.service;

import cn.palmte.work.model.SysConfig;
import cn.palmte.work.model.SysConfigRepository;
import cn.palmte.work.pojo.SysConfigRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;

@Service
public class SysConfigService {

    @Autowired
    private SysConfigRepository sysConfigRepository;


    public void saveOrUpdate(SysConfigRequest sysConfigRequest) {
        SysConfig underwrittenTaxRate = sysConfigRepository.findByCodeEquals(SysConfig.KEY_UNDERWRITTENTAXRATE);
        underwrittenTaxRate.setValue(sysConfigRequest.getUnderwrittenTaxRate());
        underwrittenTaxRate.setUpdateTime(new Date());
        sysConfigRepository.saveAndFlush(underwrittenTaxRate);

        SysConfig projectContributionProfitRateThreshold = sysConfigRepository.findByCodeEquals(SysConfig.KEY_PROJECTCONTRIBUTIONPROFITRATETHRESHOLD);
        projectContributionProfitRateThreshold.setValue(sysConfigRequest.getProjectContributionProfitRateThreshold());
        projectContributionProfitRateThreshold.setUpdateTime(new Date());
        sysConfigRepository.saveAndFlush(projectContributionProfitRateThreshold);
    }

    public BigDecimal getUnderwrittenTaxRate(){
        return new BigDecimal(sysConfigRepository.findByCodeEquals(SysConfig.KEY_UNDERWRITTENTAXRATE).getValue());
    }
    public BigDecimal getProjectContributionProfitRateThreshold(){
        return new BigDecimal(sysConfigRepository.findByCodeEquals(SysConfig.KEY_PROJECTCONTRIBUTIONPROFITRATETHRESHOLD).getValue());
    }
}
