/**
 * 一个项目管理成本详情的字段
 */
COST_PROJECT_MANAGE_DETAIL_ARR=["type","name","detail","unit","amount","price","total","predictMethod","predictWhy","remark","deletable"];
$(function () {
    $("#cost-project-manage-detail").click(function () {
        $('#my-prompt-cost-project-manage-detail').modal({
            relatedTarget: this,
            onConfirm: function(e) {
                //不能使用e.data，因为无法获取动态添加的
                var data = collectData("am-modal-prompt-input-cost-project-manage");
                data = prepareAjaxData(data, COST_PROJECT_MANAGE_DETAIL_ARR, $("#id").val());
                postAjax(base+"/project/budgetEditSaveCostProjectManageDetail", data, updateCostProjectManageData);
            },
            onCancel: function(e) {
            }
        });
    });
    $("#costProjectManageAddBtn").click(function () {
        appendTrCostProjectManage();
    });

    //绑定项目管理明细输入框
    bindChangeableInputProjectManage();
});
/**
 * 采购成本增加一行
 */
function appendTrCostProjectManage() {
    var template = '<tr>\n' +
        '        <td>\n' +
        '            <select style="width: auto" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage">\n' +
        '                <option value="1" >人工成本</option>\n' +
        '                <option value="2" >业务费用</option>\n' +
        '                <option value="3" >其他费用</option>\n' +
        '            </select>\n' +
        '        </td>\n' +
        '        <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage"></td>\n' +
        '        <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage"></td>\n' +
        '        <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage"></td>\n' +
        '        <td><input type="number" min="0" max="99999999" step="1" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-amount-project-manage"></td>\n' +
        '        <td><input type="number" min="0.00" max="99999999.99" step="0.01" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-price-project-manage"></td>\n' +
        '        <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-total-project-manage" readonly></td>\n' +
        '        <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage"></td>\n' +
        '        <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage"></td>\n' +
        '        <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage"></td>\n' +
        '        <td><button type="button" class="am-btn am-btn-warning am-btn-xs am-round am-modal-line-delete"><span class="am-icon-minus"></span></button>' +
        '            <input type="hidden" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="1"></td>\n' +
        '    </tr>';
    $("#costProjectManageTable").append(template);
    //重新绑定删除事件和input修改事件
    bindDeleteBtn();
    bindChangeableInputProjectManage();
}

function bindChangeableInputProjectManage() {
    //数量改变
    $(".input-changeable-amount-project-manage").change(function () {
        var amount = parseInt($(this).val());
        //找到对应的单价
        var price = f2($(this).parent().parent().find(".input-changeable-price-project-manage").val());

        $(this).parent().parent().find(".input-changeable-total-project-manage").val(f2(amount*price));
    });
    //单价改变
    $(".input-changeable-price-project-manage").change(function () {
        var price = f2($(this).val());
        //找到对应的数量
        var amount = parseInt($(this).parent().parent().find(".input-changeable-amount-project-manage").val());

        $(this).parent().parent().find(".input-changeable-total-project-manage").val(f2(amount*price));
    });
}
/**
 * 更新页面收入的数据【累加】
 */
function updateCostProjectManageData(data,returnData) {
    var details = data.details;
    var total = 0;
    details.forEach(function (t, number, ts) {
        total += f2(t["total"]);
    });

    $("input[name='costProjectManageTaxExclude']").val(total);

    var costPurchaseDeviceTaxExclude = f2($("input[name='costPurchaseDeviceTaxExclude']").val());
    var costPurchaseBuildTaxExclude = f2($("input[name='costPurchaseBuildTaxExclude']").val());
    var costPurchaseServiceTaxExclude = f2($("input[name='costPurchaseServiceTaxExclude']").val());
    var costPurchaseOtherTaxExclude = f2($("input[name='costPurchaseOtherTaxExclude']").val());

    var costOtherOtherTaxExclude = f2($("input[name='costOtherOtherTaxExclude']").val());

    $("input[name='costTotalTaxExclude']").val(f2(costPurchaseDeviceTaxExclude+costPurchaseBuildTaxExclude+costPurchaseServiceTaxExclude+costPurchaseOtherTaxExclude+total+costOtherOtherTaxExclude));

    updateProjectContributionProfitRate();
}