/**
 * parse float保留两位小数，四舍五入
 * 空格或者非数字认为是0
 * @param x
 * @returns {*}
 */
function f2(x) {
    if(!x){
        return 0;
    }
    var f = parseFloat(x);
    if (isNaN(f)) {
        return 0;
    }
    return Math.round(x*100)/100;
}


/**
 * 计算利润率
 * @param r1
 * @param r2
 * @returns {*}
 */
function rate(r1,r2) {
    if(!r1 || !r2 || r1==0 || r2==0){
        return 0;
    }

    return f2(r1*100/r2);
}

function postAjax(url, data, callback) {
    $.ajax({
        url: url,
        data: JSON.stringify(data),
        type: "post",
        dataType: "json",
        contentType:"application/json",
        async: false,
        success: function (d) {
            console.log(d);
            callback(data, d);
        }
    });
}
