<#assign base=request.contextPath />

<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>

<style type="text/css">
    /**让所有的模态对话框都居中*/

    .am-modal.am-modal-prompt.am-modal-active {
        transform: translate(-50%, -50%) scale(1);
        left: 50%;
        top: 50%;
        margin-left: 0;
        margin-top: 0!important;
    }

    select[readonly] option {
        display: none;
    }
</style>

<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目决算表</strong> / <small>${project.name}</small></div>
        </div>

<form method="post" class="am-form" id="pmsForm" action="${base}/project/budgetEditSave">
    <!--选项卡（tabs）begin-->
    <div class="am-tabs am-margin" data-am-tabs>
        <ul class="am-tabs-nav am-nav am-nav-tabs">
            <li class="am-active"><a href="#tab1">项目决算表</a></li>
        </ul>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in am-active" id="tab1">
                <span class="am-text-lg">收入</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>设备类</td>
                        <td><input name="incomeDeviceEstimateTotal" value="${Utils.format(finalBean.incomeDeviceEstimateTotal,'0')}" required readonly title="设备类概算总额"></td>
                        <td><input name="incomeDeviceBudgetTotal" value="${Utils.format(finalBean.incomeDeviceBudgetTotal,'0')}" required readonly title="设备类预算总额"></td>
                        <td><input name="incomeDeviceSettleTotal" value="${Utils.format(finalBean.incomeDeviceSettleTotal,'0')}" required readonly title="设备类结算总额"></td>
                        <td><input name="incomeDeviceFinalTotal" value="${Utils.format(finalBean.incomeDeviceFinalTotal,'0')}" required title="设备类决算总额"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>工程类</td>
                        <td><input name="incomeEngineerEstimateTotal" value="${Utils.format(finalBean.incomeEngineerEstimateTotal,'0')}" required readonly title="工程类概算总额"></td>
                        <td><input name="incomeEngineerBudgetTotal" value="${Utils.format(finalBean.incomeEngineerBudgetTotal,'0')}" required readonly title="工程类预算总额"></td>
                        <td><input name="incomeEngineerSettleTotal" value="${Utils.format(finalBean.incomeEngineerSettleTotal,'0')}" required readonly title="工程类结算总额"></td>
                        <td><input name="incomeEngineerFinalTotal" value="${Utils.format(finalBean.incomeEngineerFinalTotal,'0')}" required title="工程类决算总额"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>服务类</td>
                        <td><input name="incomeServiceEstimateTotal" value="${Utils.format(finalBean.incomeServiceEstimateTotal,'0')}" required readonly title="服务类概算总额"></td>
                        <td><input name="incomeServiceBudgetTotal" value="${Utils.format(finalBean.incomeServiceBudgetTotal,'0')}" required readonly title="服务类预算总额"></td>
                        <td><input name="incomeServiceSettleTotal" value="${Utils.format(finalBean.incomeServiceSettleTotal,'0')}" required readonly title="服务类结算总额"></td>
                        <td><input name="incomeServiceFinalTotal" value="${Utils.format(finalBean.incomeServiceFinalTotal,'0')}" required title="服务类决算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input name="incomeEstimateTotal" readonly required title="此列累计"></td>
                        <td><input name="incomeBudgetTotal" readonly required title="此列累计"></td>
                        <td><input name="incomeSettleTotal" readonly required title="此列累计"></td>
                        <td><input name="incomeFinalTotal" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">成本</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用</td>
                        <td>费用项目</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>设备</td>
                        <td><input name="costPurchaseDeviceTaxInclude" value="${Utils.format(finalBean.costPurchaseDeviceEstimateTotal,'0')}" readonly required title="购买设备概算总额"></td>
                        <td><input name="costPurchaseDeviceTaxExclude" value="${Utils.format(finalBean.costPurchaseDeviceBudgetTotal,'0')}" readonly required title="购买设备预算总额"></td>
                        <td><input name="costPurchaseDeviceTaxInclude" value="${Utils.format(finalBean.costPurchaseDeviceSettleTotal,'0')}" readonly required title="购买设备结算总额"></td>
                        <td><input name="costPurchaseDeviceTaxExclude" value="${Utils.format(finalBean.costPurchaseDeviceFinalTotal,'0')}" required title="购买设备决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>施工</td>
                        <td><input name="costPurchaseBuildEstimateTotal" value="${Utils.format(finalBean.costPurchaseBuildEstimateTotal,'0')}" readonly required title="施工采购成本概算总额"></td>
                        <td><input name="costPurchaseBuildBudgetTotal" value="${Utils.format(finalBean.costPurchaseBuildBudgetTotal,'0')}" readonly required title="施工采购成本预算总额"></td>
                        <td><input name="costPurchaseBuildSettleTotal" value="${Utils.format(finalBean.costPurchaseBuildSettleTotal,'0')}" readonly required title="施工采购成本结算总额"></td>
                        <td><input name="costPurchaseBuildFinalTotal" value="${Utils.format(finalBean.costPurchaseBuildFinalTotal,'0')}" required title="施工采购成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>服务</td>
                        <td><input name="costPurchaseServiceEstimateTotal" value="${Utils.format(finalBean.costPurchaseServiceEstimateTotal,'0')}" readonly required title="服务采购成本概算总额"></td>
                        <td><input name="costPurchaseServiceBudgetTotal" value="${Utils.format(finalBean.costPurchaseServiceBudgetTotal,'0')}" readonly required title="服务采购成本预算总额"></td>
                        <td><input name="costPurchaseServiceSettleTotal" value="${Utils.format(finalBean.costPurchaseServiceSettleTotal,'0')}" readonly required title="服务采购成本结算总额"></td>
                        <td><input name="costPurchaseServiceFinalTotal" value="${Utils.format(finalBean.costPurchaseServiceFinalTotal,'0')}" required title="服务采购成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>其他</td>
                        <td><input name="costPurchaseOtherEstimateTotal" value="${Utils.format(finalBean.costPurchaseOtherEstimateTotal,'0')}" readonly required title="其他采购成本概算总额"></td>
                        <td><input name="costPurchaseOtherBudgetTotal" value="${Utils.format(finalBean.costPurchaseOtherBudgetTotal,'0')}" readonly required title="其他采购成本预算总额"></td>
                        <td><input name="costPurchaseOtherSettleTotal" value="${Utils.format(finalBean.costPurchaseOtherSettleTotal,'0')}" readonly required title="其他采购成本结算总额"></td>
                        <td><input name="costPurchaseOtherFinalTotal" value="${Utils.format(finalBean.costPurchaseOtherFinalTotal,'0')}" required title="其他采购成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>项目管理成本</td>
                        <td>项目管理成本</td>
                        <td><input name="costProjectManageEstimateTotal" value="${Utils.format(finalBean.costProjectManageEstimateTotal,'0')}" readonly required title="项目管理成本概算总额"></td>
                        <td><input name="costProjectManageBudgetTotal" value="${Utils.format(finalBean.costProjectManageBudgetTotal,'0')}" readonly required title="项目管理成本预算总额"></td>
                        <td><input name="costProjectManageSettleTotal" value="${Utils.format(finalBean.costProjectManageSettleTotal,'0')}" readonly required title="项目管理成本结算总额"></td>
                        <td><input name="costProjectManageFinalTotal" value="${Utils.format(finalBean.costProjectManageFinalTotal,'0')}" required title="项目管理成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>其他</td>
                        <td>其他</td>
                        <td><input name="costOtherEstimateTotal" value="${Utils.format(finalBean.costOtherEstimateTotal,'0')}" readonly required title="其他成本概算总额"></td>
                        <td><input name="costOtherBudgetTotal" value="${Utils.format(finalBean.costOtherBudgetTotal,'0')}" readonly required title="其他成本预算总额"></td>
                        <td><input name="costOtherSettleTotal" value="${Utils.format(finalBean.costOtherSettleTotal,'0')}" readonly required title="其他成本结算总额"></td>
                        <td><input name="costOtherFinalTotal" value="${Utils.format(finalBean.costOtherFinalTotal,'0')}" required title="其他成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td></td>
                        <td><input name="costEstimateTotal" readonly required title="此列累计"></td>
                        <td><input name="costBudgetTotal" readonly required title="此列累计"></td>
                        <td><input name="costSettleTotal" readonly required title="此列累计"></td>
                        <td><input name="costFinalTotal" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">管理</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用项目</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                    </tr>
                    <tr>
                        <td>财务费用</td>
                        <td>资金占用成本</td>
                        <td><input name="costExpropriationEstimateTotal" value="${Utils.format(finalBean.costExpropriationEstimateTotal,'0')}" required readonly title="资金占用成本概算总额"></td>
                        <td><input name="costExpropriationBudgetTotal" value="${Utils.format(finalBean.costExpropriationBudgetTotal,'0')}" required readonly title="资金占用成本预算总额"></td>
                        <td><input name="costExpropriationSettleTotal" value="${Utils.format(finalBean.costExpropriationSettleTotal,'0')}" required readonly title="资金占用成本结算总额"></td>
                        <td><input name="costExpropriationFinalTotal" value="${Utils.format(finalBean.costExpropriationFinalTotal,'0')}" required title="资金占用成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>公司管理费用</td>
                        <td></td>
                        <td><input name="costCompanyManageEstimateTotal" value="${Utils.format(finalBean.costCompanyManageEstimateTotal,'0')}" required readonly title="公司管理费用概算总额"></td>
                        <td><input name="costCompanyManageBudgetTotal" value="${Utils.format(finalBean.costCompanyManageBudgetTotal,'0')}" required readonly title="公司管理费用预算总额"></td>
                        <td><input name="costCompanyManageSettleTotal" value="${Utils.format(finalBean.costCompanyManageSettleTotal,'0')}" required readonly title="公司管理费用结算总额"></td>
                        <td><input name="costCompanyManageFinalTotal" value="${Utils.format(finalBean.costCompanyManageFinalTotal,'0')}" required title="公司管理费用决算总额"></td>
                    </tr>
                    <tr>
                        <td>所得税费用</td>
                        <td></td>
                        <td>/</td>
                        <td>/</td>
                        <td><input name="costIncomeTaxSettleTotal" value="${Utils.format(finalBean.costIncomeTaxSettleTotal,'0')}" required readonly title="所得税费用结算总额"></td>
                        <td><input name="costIncomeTaxFinalTotal" value="${Utils.format(finalBean.costIncomeTaxFinalTotal,'0')}" required title="所得税费用决算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input name="manageEstimateTotal" readonly required title="此列累计"></td>
                        <td><input name="manageBudgetTotal" readonly required title="此列累计"></td>
                        <td><input name="manageSettleTotal" readonly required title="此列累计"></td>
                        <td><input name="manageFinalTotal" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">利润率计算</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                        <td>利润率（%）</td>
                    </tr>
                    <tr>
                        <td>项目毛利</td>
                        <td><input name="grossProfitEstimateTotal" value="${Utils.format(finalBean.grossProfitEstimateTotal,'0')}" readonly required title="项目毛利概算总额"></td>
                        <td><input name="grossProfitBudgetTotal" value="${Utils.format(finalBean.grossProfitBudgetTotal,'0')}" readonly required title="项目毛利预算总额"></td>
                        <td><input name="grossProfitSettleTotal" value="${Utils.format(finalBean.grossProfitSettleTotal,'0')}" readonly required title="项目毛利结算总额"></td>
                        <td><input name="grossProfitFinalTotal" value="${Utils.format(finalBean.grossProfitFinalTotal,'0')}" required title="项目毛利决算总额"></td>
                        <td><input name="grossProfitProfitMargin" value="${Utils.format(finalBean.grossProfitProfitMargin,'0')}" required readonly title="项目毛利利润率"></td>
                    </tr>
                    <tr>
                        <td>项目贡献利润</td>
                        <td><input name="contributionMarginEstimateTotal" value="${Utils.format(finalBean.contributionMarginEstimateTotal,'0')}" readonly required title="项目贡献利润概算总额"></td>
                        <td><input name="contributionMarginBudgetTotal" value="${Utils.format(finalBean.contributionMarginBudgetTotal,'0')}" readonly required title="项目贡献利润预算总额"></td>
                        <td><input name="contributionMarginSettleTotal" value="${Utils.format(finalBean.contributionMarginSettleTotal,'0')}" readonly required title="项目贡献利润结算总额"></td>
                        <td><input name="contributionMarginFinalTotal" value="${Utils.format(finalBean.contributionMarginFinalTotal,'0')}" required title="项目贡献利润决算总额"></td>
                        <td><input name="contributionMarginProfitMargin" value="${Utils.format(finalBean.contributionMarginProfitMargin,'0')}" required readonly title="项目贡献利润利润率"></td>
                    </tr>
                    <tr>
                        <td>项目净利润</td>
                        <td><input name="netMarginEstimateTotal" value="${Utils.format(finalBean.netMarginEstimateTotal,'0')}" readonly required title="项目净利润概算总额"></td>
                        <td><input name="netMarginBudgetTotal" value="${Utils.format(finalBean.netMarginBudgetTotal,'0')}" readonly required title="项目净利润预算总额"></td>
                        <td><input name="netMarginSettleTotal" value="${Utils.format(finalBean.netMarginSettleTotal,'0')}" readonly required title="项目净利润结算总额"></td>
                        <td><input name="netMarginFinalTotal" value="${Utils.format(finalBean.netMarginFinalTotal,'0')}" required title="项目净利润决算总额"></td>
                        <td><input name="netMarginProfitMargin" value="${Utils.format(finalBean.netMarginProfitMargin,'0')}" required readonly title="项目净利润利润率"></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">现金流量表</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                    </tr>
                    <tr>
                        <td>销售商品、提供劳务收到的现金</td>
                        <td><input name="type1BudgetTotal" value="${Utils.format(finalBean.type1BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type1SettleTotal" value="${Utils.format(finalBean.type1SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type1FinalTotal" value="${Utils.format(finalBean.type1FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>收到的税费返还</td>
                        <td>/</td>
                        <td><input name="type2SettleTotal" value="${Utils.format(finalBean.type2SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type2FinalTotal" value="${Utils.format(finalBean.type2FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>收到其他与经营活动有关的现金</td>
                        <td><input name="type3BudgetTotal" value="${Utils.format(finalBean.type3BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type3SettleTotal" value="${Utils.format(finalBean.type3SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type3FinalTotal" value="${Utils.format(finalBean.type3FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>购买商品、接受劳务支付的现</td>
                        <td><input name="type4BudgetTotal" value="${Utils.format(finalBean.type4BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type4SettleTotal" value="${Utils.format(finalBean.type4SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type4FinalTotal" value="${Utils.format(finalBean.type4FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>支付的各项税费</td>
                        <td>/</td>
                        <td><input name="type5SettleTotal" value="${Utils.format(finalBean.type5SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type5FinalTotal" value="${Utils.format(finalBean.type5FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>支付其他与经营活动有关的现金</td>
                        <td><input name="type6BudgetTotal" value="${Utils.format(finalBean.type6BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type6SettleTotal" value="${Utils.format(finalBean.type6SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type6FinalTotal" value="${Utils.format(finalBean.type6FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>经营活动产生的现金流量净额</td>
                        <td><input name="type7BudgetTotal" value="${Utils.format(finalBean.type7BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type7SettleTotal" value="${Utils.format(finalBean.type7SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type7FinalTotal" value="${Utils.format(finalBean.type7FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流入</td>
                        <td>/</td>
                        <td><input name="type8SettleTotal" value="${Utils.format(finalBean.type8SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type8FinalTotal" value="${Utils.format(finalBean.type8FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流出</td>
                        <td>/</td>
                        <td><input name="type9SettleTotal" value="${Utils.format(finalBean.type9SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type9FinalTotal" value="${Utils.format(finalBean.type9FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动产生的现金流量净额</td>
                        <td>/</td>
                        <td><input name="type10SettleTotal" value="${Utils.format(finalBean.type10SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type10FinalTotal" value="${Utils.format(finalBean.type10FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>融资资金流入</td>
                        <td><input name="type11BudgetTotal" value="${Utils.format(finalBean.type11BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type11SettleTotal" value="${Utils.format(finalBean.type11SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type11FinalTotal" value="${Utils.format(finalBean.type11FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>还款资金流出</td>
                        <td><input name="type12BudgetTotal" value="${Utils.format(finalBean.type12BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type12SettleTotal" value="${Utils.format(finalBean.type12SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type12FinalTotal" value="${Utils.format(finalBean.type12FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>筹资活动产生的现金流量净额</td>
                        <td><input name="type13BudgetTotal" value="${Utils.format(finalBean.type13BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type13SettleTotal" value="${Utils.format(finalBean.type13SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type13FinalTotal" value="${Utils.format(finalBean.type13FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>货币资金净增加额</td>
                        <td><input name="type14BudgetTotal" value="${Utils.format(finalBean.type14BudgetTotal,'0')}" readonly required title="预算总额"></td>
                        <td><input name="type14SettleTotal" value="${Utils.format(finalBean.type14SettleTotal,'0')}" readonly required title="结算总额"></td>
                        <td><input name="type14FinalTotal" value="${Utils.format(finalBean.type14FinalTotal,'0')}" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td><input name="cashFluxBudgetTotal" readonly required title="此列累计"></td>
                        <td><input name="cashFluxSettleTotal" readonly required title="此列累计"></td>
                        <td><input name="cashFluxFinalTotal" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <!--验证表单元素（validate end-->
        </div>
    </div>

    <!--选项卡（tabs）end-->
    <div class="am-margin">
        <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
        <button type="submit" class="am-btn am-btn-primary am-btn-xs" id="saveFinal">保存</button>
    </div>
</form>

</div>
</div>
<script>
    var base = "${base}";
</script>
<script src="${base}/assets/js/project_common.js"></script>
<script src="${base}/assets/js/project_budget.js"></script>
<script src="${base}/assets/js/project_budget_income.js"></script>
<script src="${base}/assets/js/project_budget_cost.js"></script>
<script src="${base}/assets/js/project_budget_cost_project_manage.js"></script>
<script src="${base}/assets/js/project_budget_plan.js"></script>
</@defaultLayout.layout>















